[@algorandfoundation/algokit-utils](../README.md) / [types/app-spec](../modules/types_app_spec.md) / StateSchemaSpec

# Interface: StateSchemaSpec

[types/app-spec](../modules/types_app_spec.md).StateSchemaSpec

The rolled-up schema allocation specification for local and global state

## Table of contents

### Properties

- [global](types_app_spec.StateSchemaSpec.md#global)
- [local](types_app_spec.StateSchemaSpec.md#local)

## Properties

### global

• **global**: [`StateSchema`](../modules/types_app_spec.md#stateschema)

Global storage spec

#### Defined in

[src/types/app-spec.ts:302](https://github.com/algorandfoundation/algokit-utils-ts/blob/main/src/types/app-spec.ts#L302)

___

### local

• **local**: [`StateSchema`](../modules/types_app_spec.md#stateschema)

Local storage spec

#### Defined in

[src/types/app-spec.ts:304](https://github.com/algorandfoundation/algokit-utils-ts/blob/main/src/types/app-spec.ts#L304)
